package italo.mlp;

import italo.util.ArrayUtil;

public class RNADadosImpl implements RNADados {
    
    private double[][][] pesos;
    private double[][] biases;
    private double[][] somas;
    private double[][] saidas;
        
    private final ArrayUtil arrayUtil = new ArrayUtil();
    
    @Override
    public RNADados copiaDados() {
        RNADadosImpl rna = new RNADadosImpl();
        rna.setPesos( arrayUtil.copia( pesos ) ); 
        rna.setBiases( arrayUtil.copia( biases ) );
        rna.setSomas( arrayUtil.copia( somas ) );
        rna.setSaidas( arrayUtil.copia( saidas ) );
        return rna;
    }

    @Override
    public double[][][] getPesos() {
        return pesos;
    }

    public void setPesos(double[][][] pesos) {
        this.pesos = pesos;
    }

    @Override
    public double[][] getBiases() {
        return biases;
    }

    public void setBiases(double[][] biases) {
        this.biases = biases;
    }

    @Override
    public double[][] getSomas() {
        return somas;
    }

    public void setSomas(double[][] somas) {
        this.somas = somas;
    }

    @Override
    public double[][] getSaidas() {
        return saidas;
    }

    public void setSaidas(double[][] saidas) {
        this.saidas = saidas;
    }
    
}
